/* DO NOT EDIT THIS FILE */

MODEL_TYPE: CTL

#define PI        3.1415926535897932384626433832795   // definition of PI                 
#define TWOPI     6.283185307179586476925286766559    // definition of 2.0*PI             
#define E         2.71828182845904523536028747135266  // definition of E                  
#define EINV      0.36787944117144232159552377016147  // definition of E Inverse (1/E)    
#define RT2       1.4142135623730950488016887242097   // definition of square root 2.0    
#define RT3       1.7320508075688772935274463415059   // definition of square root 3.0    
#define INV_ROOT2 0.70710678118654752440084436210485                                      

INPUTS:
  int    recv_ready;
  int    sec_local;
  int    nsec_local;
  int    sec_remote;
  int    nsec_remote;
  int    seqno_remote;
  double v_local;
  double i_local;
  double e_gen_remote;
  double e_con_remote;

OUTPUTS:
  int    status;
  int    send_ready;
  int    ebm_ready;
  int    seqno_local;
  int    delay;
  double scopes;
  double res_e_cp_active;
  double res_e_cp_passive;
  double res_e_ow_active;
  double res_e_ow_passive;
  double res_e_active;
  double res_e_passive;
  double e_gen_local;
  double e_con_local;

